NXOpen.UF.Sket.ReadGeometricConstraint

Sket.ReadGeometricConstraint()

Refer to UF_SKET_read_geometric_constraint for documentation.

Signature: ReadGeometricConstraint(sketchTag, conTag)

Parameters:
  • sketchTag (Tag) – Sketch tag.
  • conTag (Tag) – Constraint tag.
Returns:

A Tuple

Return type:

A tuple consisting of (conType,geomCount,conGeoms)

conType(`NXOpen.UF.Sket.ConType Refer to UF_SKET_con_type_e for documentation.`): Constraint type.

geomCount(int): Number of geometries.

conGeoms(list of ``NXOpen.UF.Sket.ConGeom` Refer to UF_SKET_con_geom_s for documentation.`): Array of constraint geometries. Use UF_free to deallocate memory when done.

License requirements: SOLIDS MODELING or DRAFTING